%define upstream_name    Proc-Background
%define upstream_version 1.10

Name:		perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Generic interface to Unix and Win32 background process management
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/B/BZ/BZAJAC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cache)
BuildRequires: perl(Class::Accessor::Chained)

BuildArch: noarch

%description
This is a generic interface for placing processes in the background on both 
Unix and Win32 platforms. This module lets you start, kill, wait on, 
retrieve exit values, and see if background processes still exist.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.100.0-8pclos2017
- rebuild against updates

